---

themes:
  name: vampire
  dark:
    colors:
      background: 0x27141B
      header: 0x27141B
      userBubble: 0x422850
      peerBubble: 0x502033
      font: 0xFBF4F7
      settings: 0xFBF4F7
      accent: 0x502033
      reaction: 0xC86B89
    theme:
      hilightElementColor: font
      backgroundMainColor: background  # darkGreyPurple
      backgroundPaneColor: header  # darkGreyPurple
      defaultButtonColor: accent  # hotPink
      mainTextColor: font  # whiteishPurple
      messageFromMeBackgroundColor: userBubble  #  mauvePurple
      messageFromMeTextColor: font  # whiteishPurple
      messageFromOtherBackgroundColor: peerBubble  # deepPurple
      messageFromOtherTextColor: font  # whiteishPurple
      portraitContactBadgeColor: 0x863655
      portraitContactBadgeTextColor: 0xFBF4F7
      portraitProfileBadgeColor: 0x863655
      portraitProfileBadgeTextColor: 0xFBF4F7
      portraitBackgroundColor: peerBubble
      portraitOfflineBorderColor: 0x863655
      portraitOnlineBorderColor: font
      scrollbarDefaultColor: accent
      textfieldHintColor: mainTextColor
      toolbarIconColor: settings  # whiteishPurple
      toolbarBackgroundColor: 0x863655
      topbarColor: header  # darkGreyPurple
      sendHintTextColor: peerBubble
      chatReactionIconColor: reaction
      chatImage: Vampire.png
      chatImageColor: peerBubble
      snackbarBackgroundColor: accent
      snackbarTextColor: 0xFBF4F7
      messageSelectionColor: 0x863655
      textfieldSelectionColor: 0x863655
      menuBackgroundColor: 0x863655
  light:
    colors:
      background: 0xFBF4F7
      header: 0xC86B89
      userBubble: 0xDA94A9
      peerBubble: 0xF7EAF0
      font: 0x27141B
      settings: 0xFBF4F7
      accent: 0x502033
      reaction: 0xDA94A9
    theme:
      hilightElementColor: font
      backgroundHilightElementColor: peerBubble
      backgroundMainColor: background  # whitePurple
      backgroundPaneColor: background  # whitePurple
      defaultButtonColor: accent  # hotPink
      dropShadowColor: userBubble
      mainTextColor: font
      messageFromMeBackgroundColor: userBubble  # brightPurple
      messageFromMeTextColor: font  # mainTextColor
      messageFromOtherBackgroundColor: peerBubble  # purple
      messageFromOtherTextColor: font  # darkPurple
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xFBF4F7
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0xFBF4F7
      portraitOfflineBorderColor: 0x775F84
      portraitOnlineBorderColor: font
      portraitBackgroundColor: background
      scrollbarDefaultColor: accent
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: userBubble
      textfieldHintColor: font
      toolbarIconColor: settings  # darkPurple
      toolbarBackgroundColor: 0x7b314e
      topbarColor: header  # softPurple
      sendHintTextColor: userBubble
      chatReactionIconColor: reaction
      chatImage: Vampire.png
      chatImageColor: 0xE9BFCD
      snackbarBackgroundColor: accent
      snackbarTextColor: background
      messageSelectionColor: header
      textfieldSelectionColor: header
      menuBackgroundColor: header
